Skip to main content

List NANP regions

GET 

/api/v2/numbers/countries/:country_id/regions

Retrieve a list of states or provinces within a country (e.g., US states, Canadian provinces).

Important notes:

  • Only applicable for countries with has_provinces_or_states: true
  • Returns 404 for countries without regional divisions
  • A state's numbers are listed by numbers_search_show with the state's region_id

When to use:

  • Building state/province selection for US, Canada, etc.
  • Filtering DID search by region

regions[].id feeds numbers_search_show (region_id). regions[].name feeds numbers_search_show (state_name_contains, United States only).

Request​

Responses​

returns list of regions